missing values after merging household and individual dataset
09/09/2022 04:52 PM - Shujun Liu

Status: Resolved Start date: 09/09/2022
Priority: Normal % Done: 100%
Assignee:

Category: Data inconsistency

Description

Dear member of Understanding Society,

| am dealing with Inovation Panel data(wave10) and trying to merge the variables from the dataset of j_hhresp_ip with those from the
dataset of j_indresp_ip.

Using the common variable j_indresp_ip, | can merge these two dataset successfully. But there exist 55 missing values, in which 49
from master dataset (i.e., j_hhresp_ip) and 6 from j_indresp_ip.

| just wonder is it normal? What cause the missing values?
The variables | tried to merge include:

"i_hidp j_hhsize j xphsdb j_xphsdct j_xphsdba j_hhpc1 j_hhpc2 j_hhpc3 j_hhpc4 j_hhpc5 j_hhpc96 | pcnet j nemp_dv j_hhtype_dv
j_fihnhmngrs_dv j_fihhmngrs_if" from j_hhresp_ip.dta.

"pidp j_hidp j_pno j_jbstat j_twithave j_scbrowsesp j_scemailsp j_scphotosp j_scsmlooksp j_scsmpostsp j_scbuysp j_scbanksp
j_scinstalsp j_scgpssp j_scblutthsp j_scgamessp j_scstreamsp j_scothersp j_scbrowsetb j_scemailtb j_scphototb j_scsmlooktb
j_scsmposttb j_scbuytb j_scbanktb j_scinstaltb j_scgpstb j_scblutthtb j_scgamestb j_scstreamtb j_scothertb j_scskillsp j_scskilltb
j_sex j_dvage j_marstat j_employ j_agegr10_dv j_qgfhigh_dv j_jbseg_dv j_hhorig j_psu j_strata j_indpxip_xw j_indinip_xw
j_indscip_xw j_fimngrs_dv" from j_hhresp_ip.

Many thanks for your help

Best wishes
Shujun Liu

History

#1 - 09/12/2022 04:15 PM - Annette Pasotti

- Status changed from New to In Progress

- % Done changed from 0 to 10

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.
We aim to respond to simple queries within 48 hours and more complex issues within 7 working days.

#2 - 09/13/2022 11:28 AM - Annette Pasotti

Dear Shujun

We like investigate further but in order to do so could you please provide the code so we can see how you are merging the files.
Many thanks.

#3 - 09/13/2022 11:48 AM - Shujun Liu

- File link.do added

Dear Annett,

Thanks for your reply.

Please see attached for the do file.

Many thanks for your help.
Best wishes
Shujun

#4 - 10/03/2022 10:50 AM - Understanding Society User Support Team
- Category set to Data inconsistency
- Status changed from In Progress to Feedback

- % Done changed from 10 to 80

Hello,

Such missing values are rare but can happen in two situations:

1) the household questionnaire is completed in a given household but no individual questionnaires are completed (because e.g. the respondent drops

out from the web questionnaire),
2) the household questionnaire is not completed, only the individual questionnaire.

Best wishes,
Piotr
UKHLS User Support Team

#5 - 10/03/2022 10:50 AM - Understanding Society User Support Team

- Private changed from Yes to No

#6 - 07/27/2023 02:04 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- % Done changed from 80 to 100

Files

i_hhresp_ip.dta 594 KB 09/09/2022 Shujun Liu

j_indresp_ip.dta 795 KB 09/09/2022 Shujun Liu

link.do 1.25 KB 09/13/2022 Shujun Liu
